/* BdfServer_Get - Copyright (c) 2011-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.get.streamproducers;

import java.io.IOException;
import net.mapeadores.util.text.lexie.LexieDistribution;
import net.mapeadores.util.text.lexie.xml.LexieDistributionXMLPart;
import net.mapeadores.util.xml.AppendableXMLWriter;
import net.mapeadores.util.xml.XMLUtils;
import net.mapeadores.util.xml.XmlProducer;


/**
 *
 * @author Vincent Calame
 */
public class LexieDistributionXmlProducer implements XmlProducer {

    private LexieDistribution lexieDistribution;

    public LexieDistributionXmlProducer(LexieDistribution lexieDistribution) {
        this.lexieDistribution = lexieDistribution;
    }

    @Override
    public void writeXml(Appendable appendable) throws IOException {
        AppendableXMLWriter xmlWriter = XMLUtils.toXMLWriter(appendable, 0);
        xmlWriter.appendXMLDeclaration();
        LexieDistributionXMLPart lexieDistributionXMLPart = new LexieDistributionXMLPart(xmlWriter);
        lexieDistributionXMLPart.appendLexieDistribution(lexieDistribution);
    }

}
