/* FichothequeLib_API - Copyright (c) 2006-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction.run;

import java.util.List;
import net.fichotheque.SubsetKey;
import net.fichotheque.corpus.FicheMeta;
import net.fichotheque.croisement.Croisement;
import net.fichotheque.extraction.def.PackClause;


/**
 *
 * @author Vincent Calame
 */
public interface CorpusExtractor {

    public void add(FicheMeta ficheMeta, Croisement croisement);

    public boolean containsFiche();

    public List<ExtraitCorpusResult> getExtraitCorpusResultList();


    public static interface Extrait {

        public String getName();

        public String getTagName();

        public SubsetKey getCorpusKey();

        public boolean withCorpusIntitule();

        public FicheGroup[] getGroupArray();

        public PackClause getPackClause();

    }

}
