/* FichothequeLib_Tools - Copyright (c) 2011-2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.tools.extraction.builders;

import net.fichotheque.extraction.ExtractionConstants;
import net.fichotheque.extraction.def.DocumentFilter;


/**
 *
 * @author Vincent Calame
 */
public class DocumentFilterBuilder {

    private String tagName = ExtractionConstants.DOCUMENT_DEFAULT_TAGNAME;

    public DocumentFilterBuilder() {
    }

    public DocumentFilterBuilder parseDocumentTagName(String tagName, String defaultTagName) {
        this.tagName = BuilderUtils.testTagName(tagName, defaultTagName);
        return this;
    }

    public DocumentFilter toDocumentFilter() {
        return new InternalDocumentFilter(tagName);
    }

    public static DocumentFilterBuilder init() {
        return new DocumentFilterBuilder();
    }


    private static class InternalDocumentFilter implements DocumentFilter {

        private final String tagName;

        private InternalDocumentFilter(String tagName) {
            this.tagName = tagName;
        }

        @Override
        public String getTagName() {
            return tagName;
        }

    }

}
