/* FichothequeLib_Tools - Copyright (c) 2012-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.tools.selection;

import net.fichotheque.selection.RedacteurQuery;
import net.mapeadores.util.conditions.Condition;


/**
 *
 * @author Vincent Calame
 */
public class RedacteurQueryBuilder {

    private Condition nomcompletCondition;

    public RedacteurQueryBuilder() {

    }

    public RedacteurQueryBuilder(RedacteurQuery other) {
        this.nomcompletCondition = other.getNomcompletCondition();
    }

    public RedacteurQueryBuilder setNomcompletCondition(Condition nomcompletCondition) {
        this.nomcompletCondition = nomcompletCondition;
        return this;
    }

    public RedacteurQuery toRedacteurQuery() {
        return new InternalRedacteurQuery(nomcompletCondition);
    }

    public static RedacteurQueryBuilder init() {
        return new RedacteurQueryBuilder();
    }


    private static class InternalRedacteurQuery implements RedacteurQuery {

        private final Condition nomcompletCondition;

        private InternalRedacteurQuery(Condition nomcompletCondition) {
            this.nomcompletCondition = nomcompletCondition;
        }

        @Override
        public Condition getNomcompletCondition() {
            return nomcompletCondition;
        }

    }

}
